Bug 181879 - net/ulxmlrpcpp: Fix build on 10-current
net/ulxmlrpcpp: Fix build on 10-current
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Pawel Pekala
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 19:10 UTC by tkato432
Modified: 2013-10-28 17:30 UTC (History)
0 users

See Also:


Attachments
file.diff (1.58 KB, patch)
2013-09-06 19:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-09-06 19:10:01 UTC
- Fix build on 10-current

New file:
files/patch-ulxmlrpcpp__contrib__ssl_connection.cpp
files/patch-ulxmlrpcpp__ulxr_ssl_connection.cpp
Comment 1 Edwin Groothuis freebsd_committer 2013-09-06 19:12:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Bryan Drewery freebsd_committer 2013-09-22 15:11:49 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 3 Pawel Pekala freebsd_committer 2013-10-28 17:17:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 4 dfilter freebsd_committer 2013-10-28 17:23:43 UTC
Author: pawel
Date: Mon Oct 28 17:23:35 2013
New Revision: 331873
URL: http://svnweb.freebsd.org/changeset/ports/331873

Log:
  Fix build on 10-current
  
  PR:		ports/181879
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Added:
  head/net/ulxmlrpcpp/files/patch-ulxmlrpcpp__contrib__ssl_connection.cpp   (contents, props changed)
  head/net/ulxmlrpcpp/files/patch-ulxmlrpcpp__ulxr_ssl_connection.cpp   (contents, props changed)
Modified:
  head/net/ulxmlrpcpp/Makefile

Modified: head/net/ulxmlrpcpp/Makefile
==============================================================================
--- head/net/ulxmlrpcpp/Makefile	Mon Oct 28 17:22:15 2013	(r331872)
+++ head/net/ulxmlrpcpp/Makefile	Mon Oct 28 17:23:35 2013	(r331873)
@@ -8,9 +8,9 @@ MASTER_SITES=	SF
 DISTNAME=	${PORTNAME}-${PORTVERSION}-src
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	An ultra lightweight xml-rpc library written in C++
+COMMENT=	Ultra lightweight xml-rpc library written in C++
 
-LIB_DEPENDS=	expat.6:${PORTSDIR}/textproc/expat2
+LIB_DEPENDS=	libexpat.so:${PORTSDIR}/textproc/expat2
 
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 

Added: head/net/ulxmlrpcpp/files/patch-ulxmlrpcpp__contrib__ssl_connection.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/ulxmlrpcpp/files/patch-ulxmlrpcpp__contrib__ssl_connection.cpp	Mon Oct 28 17:23:35 2013	(r331873)
@@ -0,0 +1,14 @@
+--- ulxmlrpcpp/contrib/ssl_connection.cpp.orig
++++ ulxmlrpcpp/contrib/ssl_connection.cpp
+@@ -227,7 +227,11 @@
+ 	if (ssl_ctx != 0)
+     	    SSL_CTX_free(ssl_ctx);
+ 
++#if defined(OPENSSL_VERSION_NUMBER) && OPENSSL_VERSION_NUMBER >= 0x10000000L
++	const SSL_METHOD *meth = SSLv23_method();
++#else
+ 	SSL_METHOD *meth = SSLv23_method();
++#endif
+ 
+ 	ssl_ctx = SSL_CTX_new (meth);
+ 

Added: head/net/ulxmlrpcpp/files/patch-ulxmlrpcpp__ulxr_ssl_connection.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/ulxmlrpcpp/files/patch-ulxmlrpcpp__ulxr_ssl_connection.cpp	Mon Oct 28 17:23:35 2013	(r331873)
@@ -0,0 +1,14 @@
+--- ulxmlrpcpp/ulxr_ssl_connection.cpp.orig
++++ ulxmlrpcpp/ulxr_ssl_connection.cpp
+@@ -95,7 +95,11 @@
+ ULXR_API_IMPL(void) SSLConnection::initializeCTX()
+ {
+   ULXR_TRACE(ULXR_PCHAR("initializeCTX"));
++#if defined(OPENSSL_VERSION_NUMBER) && OPENSSL_VERSION_NUMBER >= 0x10000000L
++  const SSL_METHOD *meth = SSLv23_method();
++#else
+   SSL_METHOD *meth = SSLv23_method();
++#endif
+   ssl_ctx = SSL_CTX_new (meth);
+   if (!ssl_ctx)
+   {
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Pawel Pekala freebsd_committer 2013-10-28 17:23:51 UTC
State Changed
From-To: open->closed

Committed. Thanks!